## shotcut-dmo 23.05.14

=== src/CMakeLists.txt ===
add_executable(shotcut WIN32 MACOSX_BUNDLE
  abstractproducerwidget.cpp abstractproducerwidget.h
  actions.cpp actions.h
  autosavefile.cpp autosavefile.h
  commands/markercommands.cpp commands/markercommands.h
  commands/playlistcommands.cpp commands/playlistcommands.h
  commands/timelinecommands.cpp commands/timelinecommands.h
  commands/undohelper.cpp commands/undohelper.h
  controllers/filtercontroller.cpp controllers/filtercontroller.h
  controllers/scopecontroller.cpp controllers/scopecontroller.h
  database.cpp database.h
  dialogs/actionsdialog.cpp dialogs/actionsdialog.h
  dialogs/addencodepresetdialog.cpp dialogs/addencodepresetdialog.h
  dialogs/addencodepresetdialog.ui
  dialogs/alignaudiodialog.cpp dialogs/alignaudiodialog.h
  dialogs/alignmentarray.cpp dialogs/alignmentarray.h
  dialogs/customprofiledialog.cpp dialogs/customprofiledialog.h
  dialogs/customprofiledialog.ui
  dialogs/durationdialog.cpp dialogs/durationdialog.h
  dialogs/durationdialog.ui
  dialogs/editmarkerdialog.cpp dialogs/editmarkerdialog.h
  dialogs/filedatedialog.cpp dialogs/filedatedialog.h
  dialogs/listselectiondialog.cpp dialogs/listselectiondialog.h
  dialogs/listselectiondialog.ui
  dialogs/longuitask.cpp dialogs/longuitask.h
  dialogs/multifileexportdialog.cpp dialogs/multifileexportdialog.h
  dialogs/saveimagedialog.cpp dialogs/saveimagedialog.h
  dialogs/slideshowgeneratordialog.cpp dialogs/slideshowgeneratordialog.h
  dialogs/systemsyncdialog.cpp dialogs/systemsyncdialog.h
  dialogs/systemsyncdialog.ui
  dialogs/textviewerdialog.cpp dialogs/textviewerdialog.h
  dialogs/textviewerdialog.ui
  dialogs/transcodedialog.cpp dialogs/transcodedialog.h
  dialogs/transcodedialog.ui
  dialogs/unlinkedfilesdialog.cpp dialogs/unlinkedfilesdialog.h
  dialogs/unlinkedfilesdialog.ui
  docks/encodedock.cpp docks/encodedock.h
  docks/encodedock.ui
  docks/filtersdock.cpp docks/filtersdock.h
  docks/jobsdock.cpp docks/jobsdock.h
  docks/jobsdock.ui
  docks/keyframesdock.cpp docks/keyframesdock.h
  docks/markersdock.cpp docks/markersdock.h
  docks/notesdock.cpp docks/notesdock.h
  docks/playlistdock.cpp docks/playlistdock.h
  docks/playlistdock.ui
  docks/recentdock.cpp docks/recentdock.h
  docks/recentdock.ui
  docks/scopedock.cpp docks/scopedock.h
  docks/timelinedock.cpp docks/timelinedock.h
  jobqueue.cpp jobqueue.h
  jobs/abstractjob.cpp jobs/abstractjob.h
  jobs/encodejob.cpp jobs/encodejob.h
  jobs/ffmpegjob.cpp jobs/ffmpegjob.h
  jobs/ffprobejob.cpp jobs/ffprobejob.h
  jobs/gopro2gpxjob.cpp jobs/gopro2gpxjob.h
  jobs/meltjob.cpp jobs/meltjob.h
  jobs/postjobaction.cpp jobs/postjobaction.h
  jobs/qimagejob.cpp jobs/qimagejob.h
  jobs/videoqualityjob.cpp jobs/videoqualityjob.h
  main.cpp
  mainwindow.cpp mainwindow.h
  mainwindow.ui
  mltcontroller.cpp mltcontroller.h
  mltxmlchecker.cpp mltxmlchecker.h
  models/actionsmodel.cpp models/actionsmodel.h
  models/alignclipsmodel.cpp models/alignclipsmodel.h
  models/attachedfiltersmodel.cpp models/attachedfiltersmodel.h
  models/audiolevelstask.cpp models/audiolevelstask.h
  models/keyframesmodel.cpp models/keyframesmodel.h
  models/markersmodel.cpp models/markersmodel.h
  models/metadatamodel.cpp models/metadatamodel.h
  models/motiontrackermodel.h models/motiontrackermodel.cpp
  models/multitrackmodel.cpp models/multitrackmodel.h
  models/playlistmodel.cpp models/playlistmodel.h
  openotherdialog.cpp openotherdialog.h
  openotherdialog.ui
  player.cpp player.h
  proxymanager.cpp proxymanager.h
  qmltypes/colordialog.h qmltypes/colordialog.cpp
  qmltypes/colorpickeritem.cpp qmltypes/colorpickeritem.h
  qmltypes/colorwheelitem.cpp qmltypes/colorwheelitem.h
  qmltypes/fontdialog.h qmltypes/fontdialog.cpp
  qmltypes/messagedialog.h qmltypes/messagedialog.cpp
  qmltypes/qmlapplication.cpp qmltypes/qmlapplication.h
  qmltypes/qmleditmenu.cpp qmltypes/qmleditmenu.h
  qmltypes/qmlfile.cpp qmltypes/qmlfile.h
  qmltypes/qmlfilter.cpp qmltypes/qmlfilter.h
  qmltypes/qmlmarkermenu.cpp qmltypes/qmlmarkermenu.h
  qmltypes/qmlmetadata.cpp qmltypes/qmlmetadata.h
  qmltypes/qmlproducer.cpp qmltypes/qmlproducer.h
  qmltypes/qmlprofile.cpp qmltypes/qmlprofile.h
  qmltypes/qmlrichtext.cpp qmltypes/qmlrichtext.h
  qmltypes/qmlrichtextmenu.cpp qmltypes/qmlrichtextmenu.h
  qmltypes/qmlutilities.cpp qmltypes/qmlutilities.h
  qmltypes/qmlview.cpp qmltypes/qmlview.h
  qmltypes/thumbnailprovider.cpp qmltypes/thumbnailprovider.h
  qmltypes/timelineitems.cpp qmltypes/timelineitems.h
  resources.qrc
  scrubbar.cpp scrubbar.h
  settings.cpp settings.h
  sharedframe.cpp sharedframe.h
  shotcut_mlt_properties.h
  spatialmedia/box.cpp spatialmedia/box.h
  spatialmedia/container.cpp spatialmedia/container.h
  spatialmedia/mpeg4_container.cpp spatialmedia/mpeg4_container.h
  spatialmedia/sa3d.cpp spatialmedia/sa3d.h
  spatialmedia/spatialmedia.cpp spatialmedia/spatialmedia.h
  transportcontrol.h
  util.cpp util.h
  videowidget.cpp videowidget.h
  widgets/alsawidget.cpp widgets/alsawidget.h
  widgets/alsawidget.ui
  widgets/audiometerwidget.cpp widgets/audiometerwidget.h
  widgets/audioscale.cpp widgets/audioscale.h
  widgets/avformatproducerwidget.cpp widgets/avformatproducerwidget.h
  widgets/avformatproducerwidget.ui
  widgets/avfoundationproducerwidget.cpp widgets/avfoundationproducerwidget.h
  widgets/avfoundationproducerwidget.ui
  widgets/blipproducerwidget.cpp widgets/blipproducerwidget.h
  widgets/blipproducerwidget.ui
  widgets/colorbarswidget.cpp widgets/colorbarswidget.h
  widgets/colorbarswidget.ui
  widgets/colorproducerwidget.cpp widgets/colorproducerwidget.h
  widgets/colorproducerwidget.ui
  widgets/colorwheel.cpp widgets/colorwheel.h
  widgets/countproducerwidget.cpp widgets/countproducerwidget.h
  widgets/countproducerwidget.ui
  widgets/decklinkproducerwidget.cpp widgets/decklinkproducerwidget.h
  widgets/decklinkproducerwidget.ui
  widgets/directshowvideowidget.cpp widgets/directshowvideowidget.h
  widgets/directshowvideowidget.ui
  widgets/docktoolbar.cpp widgets/docktoolbar.h
  widgets/editmarkerwidget.cpp widgets/editmarkerwidget.h
  widgets/exportpresetstreeview.cpp widgets/exportpresetstreeview.h
  widgets/frameratewidget.cpp widgets/frameratewidget.h
  widgets/gdigrabwidget.cpp widgets/gdigrabwidget.h
  widgets/gdigrabwidget.ui
  widgets/glaxnimateproducerwidget.cpp widgets/glaxnimateproducerwidget.h
  widgets/glaxnimateproducerwidget.ui
  widgets/imageproducerwidget.cpp widgets/imageproducerwidget.h
  widgets/imageproducerwidget.ui
  widgets/isingwidget.cpp widgets/isingwidget.h
  widgets/isingwidget.ui
  widgets/jackproducerwidget.cpp widgets/jackproducerwidget.h
  widgets/jackproducerwidget.ui
  widgets/lineeditclear.cpp widgets/lineeditclear.h
  widgets/lissajouswidget.cpp widgets/lissajouswidget.h
  widgets/lissajouswidget.ui
  widgets/lumamixtransition.cpp widgets/lumamixtransition.h
  widgets/lumamixtransition.ui
  widgets/networkproducerwidget.cpp widgets/networkproducerwidget.h
  widgets/networkproducerwidget.ui
  widgets/newprojectfolder.cpp widgets/newprojectfolder.h
  widgets/newprojectfolder.ui
  widgets/noisewidget.cpp widgets/noisewidget.h
  widgets/noisewidget.ui
  widgets/plasmawidget.cpp widgets/plasmawidget.h
  widgets/plasmawidget.ui
  widgets/playlisticonview.cpp widgets/playlisticonview.h
  widgets/playlistlistview.cpp widgets/playlistlistview.h
  widgets/playlisttable.cpp widgets/playlisttable.h
  widgets/producerpreviewwidget.cpp widgets/producerpreviewwidget.h
  widgets/pulseaudiowidget.cpp widgets/pulseaudiowidget.h
  widgets/pulseaudiowidget.ui
  widgets/scopes/audioloudnessscopewidget.cpp widgets/scopes/audioloudnessscopewidget.h
  widgets/scopes/audiopeakmeterscopewidget.cpp widgets/scopes/audiopeakmeterscopewidget.h
  widgets/scopes/audiospectrumscopewidget.cpp widgets/scopes/audiospectrumscopewidget.h
  widgets/scopes/audiowaveformscopewidget.cpp widgets/scopes/audiowaveformscopewidget.h
  widgets/scopes/scopewidget.cpp widgets/scopes/scopewidget.h
  widgets/scopes/videohistogramscopewidget.cpp widgets/scopes/videohistogramscopewidget.h
  widgets/scopes/videorgbparadescopewidget.cpp widgets/scopes/videorgbparadescopewidget.h
  widgets/scopes/videorgbwaveformscopewidget.cpp widgets/scopes/videorgbwaveformscopewidget.h
  widgets/scopes/videovectorscopewidget.cpp widgets/scopes/videovectorscopewidget.h
  widgets/scopes/videowaveformscopewidget.cpp widgets/scopes/videowaveformscopewidget.h
  widgets/scopes/videozoomscopewidget.cpp widgets/scopes/videozoomscopewidget.h
  widgets/scopes/videozoomwidget.cpp widgets/scopes/videozoomwidget.h
  widgets/screenselector.cpp widgets/screenselector.h
  widgets/servicepresetwidget.cpp widgets/servicepresetwidget.h
  widgets/servicepresetwidget.ui
  widgets/slideshowgeneratorwidget.cpp widgets/slideshowgeneratorwidget.h
  widgets/statuslabelwidget.cpp widgets/statuslabelwidget.h
  widgets/textproducerwidget.cpp widgets/textproducerwidget.h
  widgets/textproducerwidget.ui
  widgets/timelinepropertieswidget.cpp widgets/timelinepropertieswidget.h
  widgets/timelinepropertieswidget.ui
  widgets/timespinbox.cpp widgets/timespinbox.h
  widgets/toneproducerwidget.cpp widgets/toneproducerwidget.h
  widgets/toneproducerwidget.ui
  widgets/trackpropertieswidget.cpp widgets/trackpropertieswidget.h
  widgets/trackpropertieswidget.ui
  widgets/video4linuxwidget.cpp widgets/video4linuxwidget.h
  widgets/video4linuxwidget.ui
  widgets/x11grabwidget.cpp widgets/x11grabwidget.h
  widgets/x11grabwidget.ui
  ../icons/resources.qrc
)

add_custom_target(OTHER_FILES
  SOURCES
  ../.github/ISSUE_TEMPLATE.md
  ../.github/workflows/build-linux-unstable.yml
  ../.github/workflows/build-linux.yml
  ../.github/workflows/build-macos-unstable.yml
  ../.github/workflows/build-macos.yml
  ../.github/workflows/build-sdk-windows-unstable.yml
  ../.github/workflows/build-sdk-windows.yml
  ../.github/workflows/build-windows-unstable.yml
  ../.github/workflows/build-windows.yml
  ../COPYING
  ../icons/dark/index.theme
  ../icons/light/index.theme
  ../packaging/linux/appimage/appimage.yml
  ../packaging/linux/Makefile
  ../packaging/linux/org.shotcut.Shotcut.desktop
  ../packaging/linux/org.shotcut.Shotcut.metainfo.xml.in
  ../packaging/linux/org.shotcut.Shotcut.xml
  ../packaging/linux/shotcut.1
  ../packaging/linux/snapcraft.yaml.in
  ../packaging/macos/Info.plist.in
  ../packaging/macos/shotcut.icns
  ../packaging/windows/shotcut.nsi
  ../packaging/windows/shotcut.rc.in
  ../README.md
  ../scripts/build-shotcut-msys2.sh
  ../scripts/build-shotcut.sh
  ../scripts/codesign_and_notarize.sh
  ../scripts/notarize.sh
  ../scripts/staple.sh
)

target_link_libraries(shotcut
  PRIVATE
  CuteLogger
  PkgConfig::mlt++
  PkgConfig::FFTW
  Qt6::Multimedia
  Qt6::Network
  Qt6::OpenGL
  Qt6::OpenGLWidgets
  Qt6::QuickControls2
  Qt6::QuickWidgets
  Qt6::Sql
  Qt6::Widgets
  Qt6::Xml
)

file(GLOB_RECURSE QML_SRC "qml/*")
target_sources(shotcut PRIVATE ${QML_SRC})

target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/CuteLogger/include)
target_compile_definitions(shotcut PRIVATE SHOTCUT_VERSION="${SHOTCUT_VERSION}")

if(WIN32)
  # Windows resource
  string(REPLACE . , PRODUCT_VERSION ${PROJECT_VERSION})
  configure_file(${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc.in ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)
  target_sources(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/packaging/windows/shotcut.rc)

  # Windows integration features
  # These are not yet available in Qt 6. They plan to make a cross-platform API planned but not yet implemented.
#  find_package(Qt 6.2 REQUIRED COMPONENTS WinExtras)
#  target_sources(shotcut PRIVATE windowstools.cpp windowstools.h)
#  target_link_libraries(shotcut PRIVATE Qt6::WinExtras)
  target_sources(shotcut PRIVATE widgets/d3dvideowidget.h widgets/d3dvideowidget.cpp)
  target_link_libraries(shotcut PRIVATE d3d11 d3dcompiler)

  # Runtime exception handler for debug only
  target_include_directories(shotcut PRIVATE ${CMAKE_SOURCE_DIR}/drmingw/include)

## shotcut-dmo 21.03.21

=== debian/changelog ===
shotcut-dmo (1:21.03.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Mar 2021 09:29:49 +0100

shotcut-dmo (1:21.02.27-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Feb 2021 19:46:48 +0100

shotcut-dmo (1:21.02.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2021 00:46:30 +0100

shotcut-dmo (1:21.01.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Jan 2021 01:23:04 +0100

shotcut-dmo (1:21.01.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Jan 2021 02:35:28 +0100

shotcut-dmo (1:20.11.28-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Nov 2020 08:36:59 +0100

shotcut-dmo (1:20.11.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Nov 2020 09:00:14 +0100

shotcut-dmo (1:20.11.14-dmo1) unstable; urgency=medium

  * New upstream beta release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Nov 2020 00:04:55 +0100

shotcut-dmo (1:20.10.31-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Oct 2020 23:45:48 +0100

shotcut-dmo (1:20.10.24-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Oct 2020 22:13:43 +0200

shotcut-dmo (1:20.10.18-dmo1) unstable; urgency=medium

  * New upstream release.
  * Support for QtWebKit and WebVfx has been remove so remove qmelt as
    dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Oct 2020 00:34:31 +0200

shotcut-dmo (1:20.09.27-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Sep 2020 23:45:47 +0200

shotcut-dmo (1:20.09.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Sep 2020 07:43:04 +0200

shotcut-dmo (1:20.09.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Sep 2020 23:24:37 +0200

shotcut-dmo (1:20.07.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jul 2020 00:35:21 +0200

shotcut-dmo (1:20.06.28-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Jun 2020 23:45:56 +0200

shotcut-dmo (1:20.06.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Jun 2020 07:13:30 +0200

shotcut-dmo (1:20.06.05-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Jun 2020 19:24:30 +0200

shotcut-dmo (1:20.04.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Apr 2020 01:16:28 +0200

shotcut-dmo (1:20.04.05-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Apr 2020 01:14:21 +0200

shotcut-dmo (1:20.04.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Apr 2020 08:02:17 +0200

shotcut-dmo (1:20.02.17-dmo2) unstable; urgency=medium

  * Move frei0r-plugins from Recommends to Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Feb 2020 08:51:43 +0100

shotcut-dmo (1:20.02.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Feb 2020 01:14:52 +0100

shotcut-dmo (1:20.02.02-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Feb 2020 19:09:28 +0100

shotcut-dmo (1:19.12.31-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 Dec 2019 22:51:23 +0100

shotcut-dmo (1:19.12.23-dmo2) unstable; urgency=medium

  * Add missing files found in /usr/share in the shotcut-data package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Dec 2019 23:18:50 +0100

shotcut-dmo (1:19.12.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Dec 2019 22:52:03 +0100

shotcut-dmo (1:19.12.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 00:33:18 +0100

shotcut-dmo (1:19.12.08-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Dec 2019 08:44:48 +0100

shotcut-dmo (1:19.10.20-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 14:39:41 +0200

shotcut-dmo (1:19.10.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 21 Oct 2019 00:12:45 +0200

shotcut-dmo (1:19.09.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Sep 2019 00:59:10 +0200

shotcut-dmo (1:19.08.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Aug 2019 22:18:39 +0200

shotcut-dmo (1:19.07.15-dmo1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: shotcut-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.shotcutapp.com/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), qt5-qmake, qtbase5-dev (>= 5.12.2~),
 quilt, libqt5x11extras5-dev, qtmultimedia5-dev, pkg-config, libqt5opengl5-dev,
 libqt5websockets5-dev, qtdeclarative5-private-dev, libmlt-dev (>= 1:6.24.0~),
 libmlt++-dev (>= 1:6.16.0~), qttools5-dev-tools, qtquickcontrols2-5-dev

## libqt5webkit5-dev,

## qtbase5-gles-dev [armel armhf]

Package: shotcut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, shotcut-data (>= ${source:Version}), melt, frei0r-plugins,
 qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs,
 qml-module-qtquick-extras
Recommends: ladspa-plugin, libsdl2-2.0-0, libjack-jackd2-0
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats.
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends}
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats.
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.
 .
 This package contains QML files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Sqmake --with quilt

override_dh_clean:
	dh_clean drmingw/x64/bin/*.dll drmingw/x64/bin/*.exe \
	 .qmake.cache packaging/linux/org.shotcut.Shotcut.metainfo.xml

	-rm -rf drmingw

#
# To find QML package :
# grep -Fhr 'import Qt' src | cut -d ' ' -f 2-3 | sort | uniq
# Then search packages with apt-file
#
# qml-module-qtqml-models2
# qml-module-qtquick-controls --> qml-module-qtgraphicaleffects, qml-module-qtquick-layouts, qml-module-qtquick-window2
# qml-module-qtquick-controls2
# qml-module-qtquick-dialogs
# qml-module-qtquick-extras

## shotcut-dmo 23.05.14

=== debian/changelog ===
shotcut-dmo (1:23.05.14-dmo1+deb12u2) stable; urgency=medium

  * Replaces Qml Qt5 packages by Qml Qt6 packages and add various Qt6
     plugins packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jun 2023 15:27:49 +0200

shotcut-dmo (1:23.05.14-dmo1+deb12u1) stable; urgency=medium

  * Add a 'Replaces: shotcut' for shotcut-data package

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jun 2023 10:58:38 +0200

shotcut-dmo (1:23.05.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 May 2023 00:59:31 +0200

shotcut-dmo (1:23.05.07-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 May 2023 07:35:40 +0200

shotcut-dmo (1:22.12.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Dec 2022 23:24:14 +0100

shotcut-dmo (1:22.12.04-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Dec 2022 01:39:02 +0100

shotcut-dmo (1:22.11.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Nov 2022 23:30:24 +0100

shotcut-dmo (1:22.10.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Oct 2022 23:29:53 +0200

shotcut-dmo (1:22.10.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Oct 2022 00:45:58 +0200

shotcut-dmo (1:22.10.09-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2022 08:39:35 +0200

shotcut-dmo (1:22.09.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 07:58:04 +0200

shotcut-dmo (1:22.09.01-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Sep 2022 05:27:16 +0200

shotcut-dmo (1:22.06.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Jun 2022 18:58:53 +0200

shotcut-dmo (1:22.06.07-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jun 2022 22:59:41 +0200

shotcut-dmo (1:22.05.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 May 2022 01:08:52 +0200

shotcut-dmo (1:22.04.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Apr 2022 07:28:58 +0200

shotcut-dmo (1:22.04.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Apr 2022 22:11:28 +0200

shotcut-dmo (1:22.03.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Apr 2022 08:41:29 +0200

shotcut-dmo (1:22.03.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Mar 2022 08:57:02 +0200

shotcut-dmo (1:22.01.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Jan 2022 23:52:19 +0100

shotcut-dmo (1:21.12.24-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Dec 2021 00:05:28 +0100

shotcut-dmo (1:21.12.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Dec 2021 20:36:23 +0100

shotcut-dmo (1:21.10.31-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Oct 2021 23:33:21 +0100

shotcut-dmo (1:21.09.20-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 09:07:22 +0200

shotcut-dmo (1:21.09.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Sep 2021 23:54:22 +0200

shotcut-dmo (1:21.08.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Aug 2021 07:14:01 +0200

shotcut-dmo (1:21.08.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Aug 2021 00:46:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,25 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.shotcutapp.com/
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), qt5-qmake, qtbase5-dev (>= 5.12.2~),
- quilt, libqt5x11extras5-dev, qtmultimedia5-dev, pkg-config, libqt5opengl5-dev,
- libqt5websockets5-dev, qtdeclarative5-private-dev, libmlt-dev (>= 1:6.24.0~),
- libmlt++-dev (>= 1:6.16.0~), qttools5-dev-tools, qtquickcontrols2-5-dev
-
-## libqt5webkit5-dev,
-
-## qtbase5-gles-dev [armel armhf]
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, qt6-base-dev (>= 6.4~), quilt,
+ pkgconf, libmlt7-dev (>= 1:7.16~), libmlt++7-dev (>= 1:7.16~),  libfftw3-dev,
+ ninja-build, qt6-declarative-dev, qml6-module-qtquick3d-spatialaudio,
+ qt6-multimedia-dev, qt6-tools-dev, pkgconf, libxkbcommon-dev
 
 Package: shotcut
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, shotcut-data (>= ${source:Version}), melt, frei0r-plugins,
- qml-module-qtqml-models2, qml-module-qtquick-controls, qml-module-qtquick-controls2, qml-module-qtquick-dialogs,
- qml-module-qtquick-extras
+Depends: ${shlibs:Depends}, ${misc:Depends}, shotcut-data (>= ${source:Version}), melt7 (>= 1:7.16.0), frei0r-plugins,
+ qml6-module-qt-labs-animation, qml6-module-qt-labs-folderlistmodel, qml6-module-qt-labs-lottieqt, qml6-module-qt-labs-platform,
+ qml6-module-qt-labs-qmlmodels, qml6-module-qt-labs-settings, qml6-module-qt-labs-sharedimage, qml6-module-qt-labs-wavefrontmesh,
+ qml6-module-qttest, qml6-module-qtcore, qml6-module-qtqml, qml6-module-qtqml-models, qml6-module-qtqml-workerscript,
+ qml6-module-qtqml-xmllistmodel, qml6-module-qtqml-statemachine, qml6-module-qtquick-controls, qml6-module-qtquick-dialogs,
+ qml6-module-qtquick-layouts, qml6-module-qtquick-localstorage, qml6-module-qtquick-nativestyle, qml6-module-qtquick-particles,
+ qml6-module-qtquick-shapes, qml6-module-qtquick-templates, qml6-module-qtquick-timeline, qml6-module-qtquick-tooling,
+ qml6-module-qtquick-virtualkeyboard, qml6-module-qtquick-window,
+ libqt6svg6, libqt6opengl6, libqt6gui6, qt6-image-formats-plugins, qt6-virtualkeyboard-plugin, qt6-wayland, qt6-gtk-platformtheme,
+ qt6-xdgdesktopportal-platformtheme, libqt6sql6-sqlite, libqt6network6
 Recommends: ladspa-plugin, libsdl2-2.0-0, libjack-jackd2-0
 Description: Video editor
  A free and open-source cross-platform video editing application.
@@ -32,6 +36,7 @@
 Package: shotcut-data
 Architecture: all
 Depends: ${misc:Depends}
+Replaces: shotcut
 Description: Video editor
  A free and open-source cross-platform video editing application.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,17 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ -Sqmake --with quilt
+	dh $@ -Scmake+ninja --with quilt
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+#	exit 1
 
 override_dh_clean:
 	dh_clean drmingw/x64/bin/*.dll drmingw/x64/bin/*.exe \
-	 .qmake.cache packaging/linux/org.shotcut.Shotcut.metainfo.xml
+	packaging/linux/org.shotcut.Shotcut.metainfo.xml
 
 	-rm -rf drmingw
 
@@ -19,3 +25,5 @@
 # qml-module-qtquick-controls2
 # qml-module-qtquick-dialogs
 # qml-module-qtquick-extras
+
+override_dh_auto_test:

## shotcut-dmo 25.07.31

=== debian/changelog ===
shotcut-dmo (1:25.07.31-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Aug 2025 07:01:25 +0200

shotcut-dmo (1:25.07.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Jul 2025 02:20:53 +0200

shotcut-dmo (1:25.07.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Jul 2025 01:33:15 +0200

shotcut-dmo (1:25.07.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Jul 2025 00:47:16 +0200

shotcut-dmo (1:25.07.07-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Jul 2025 18:28:21 +0200

shotcut-dmo (1:25.05.11-dmo2) unstable; urgency=medium

  * Update melt7 dependency version to 7.32 (was 7.22)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 May 2025 10:40:07 +0200

shotcut-dmo (1:25.05.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 May 2025 23:48:09 +0200

shotcut-dmo (1:25.04.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Apr 2025 09:32:32 +0200

shotcut-dmo (1:25.03.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Mar 2025 18:32:07 +0100

shotcut-dmo (1:25.03.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Mar 2025 18:26:41 +0100

shotcut-dmo (1:25.03.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Mar 2025 07:27:23 +0100

shotcut-dmo (1:25.01.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jan 2025 23:37:38 +0100

shotcut-dmo (1:25.01.05-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Jan 2025 17:52:11 +0100

shotcut-dmo (1:24.11.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Nov 2024 02:21:35 +0100

shotcut-dmo (1:24.10.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Oct 2024 22:48:41 +0100

shotcut-dmo (1:24.10.28-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Oct 2024 22:32:16 +0100

shotcut-dmo (1:24.10.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Oct 2024 08:32:12 +0200

shotcut-dmo (1:24.09.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Sep 2024 08:51:38 +0200

shotcut-dmo (1:24.08.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Aug 2024 19:47:53 +0200

shotcut-dmo (1:24.08.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Aug 2024 23:43:45 +0200

shotcut-dmo (1:24.08.03-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Aug 2024 07:51:42 +0200

shotcut-dmo (1:24.06.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Jun 2024 00:27:05 +0200

shotcut-dmo (1:24.06.02-dmo2) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 07:51:32 +0200

shotcut-dmo (1:24.06.02-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jun 2024 07:43:35 +0200

shotcut-dmo (1:24.04.28-dmo2) unstable; urgency=medium

  * Add glaxnimate to Suggests

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 May 2024 16:09:44 +0200

shotcut-dmo (1:24.04.28-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Apr 2024 07:47:26 +0200

shotcut-dmo (1:24.04.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Apr 2024 07:30:50 +0200

shotcut-dmo (1:24.02.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Mar 2024 00:50:16 +0100

shotcut-dmo (1:24.02.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Feb 2024 17:03:48 +0100

shotcut-dmo (1:24.01.31-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Feb 2024 15:23:52 +0100

shotcut-dmo (1:24.01.28-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jan 2024 08:29:00 +0100

shotcut-dmo (1:24.01.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Jan 2024 08:56:32 +0100

shotcut-dmo (1:23.12.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Dec 2023 09:07:52 +0100

shotcut-dmo (1:23.11.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Nov 2023 07:20:12 +0100

shotcut-dmo (1:23.11.04-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Nov 2023 18:02:53 +0100



=== debian/control ===
Source: shotcut-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.shotcutapp.com/
Standards-Version: 4.7.2
Build-Depends: cmake,
 debhelper-compat (= 13),
 libfftw3-dev,
 libmlt++7-dev (>= 1:7.32~),
 libmlt7-dev (>= 1:7.32~),
 libxkbcommon-dev,
 ninja-build,
 pkgconf,
 qml6-module-qtquick3d-spatialaudio,
 qt6-base-dev (>= 6.4~),
 qt6-charts-dev,
 qt6-declarative-dev,
 qt6-multimedia-dev,
 qt6-tools-dev,
 quilt,

Package: shotcut
Architecture: any
Depends: frei0r-plugins,
         libqt6gui6,
         libqt6network6,
         libqt6opengl6,
         libqt6sql6-sqlite,
         qt6-svg-plugins,
         melt7 (>= 1:7.32.0),
         qml6-module-qt-labs-animation,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt-labs-lottieqt,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qt-labs-sharedimage,
         qml6-module-qt-labs-wavefrontmesh,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-statemachine,
         qml6-module-qtqml-workerscript,
         qml6-module-qtqml-xmllistmodel,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-localstorage,
         qml6-module-qtquick-nativestyle,
         qml6-module-qtquick-particles,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-timeline,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-virtualkeyboard,
         qml6-module-qtquick-window,
         qml6-module-qttest,
         qt6-image-formats-plugins,
         qt6-virtualkeyboard-plugin,
         qt6-wayland,
         qt6-xdgdesktopportal-platformtheme,
         shotcut-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ladspa-plugin,
            libjack-jackd2-0,
            libsdl2-2.0-0,
Suggests: glaxnimate,
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats.
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.

Package: shotcut-data
Architecture: all
Depends: ${misc:Depends},
Replaces: shotcut,
Description: Video editor
 A free and open-source cross-platform video editing application.
 .
 Shotcut supports many video, audio, and image formats via FFmpeg and
 screen, webcam, and audio capture. It uses a timeline for non-linear video
 editing of multiple tracks that may be composed of various file formats.
 Scrubbing and transport control are assisted by OpenGL GPU-based processing
 and a number of video and audio filters are available.
 .
 These are data files needed for the binary package.

=== debian/watch ===
version=4

opts=repack,compression=xz \
https://github.com/mltframework/shotcut/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## shotcut-dmo 25.08.16

=== debian/changelog ===
shotcut-dmo (1:25.08.16-dmo2) unstable; urgency=medium

  * Remove dependency on qml6-module-qtquick-nativestyle.
    (Package removed in Qt 6.9)

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Sep 2025 15:53:49 +0200

shotcut-dmo (1:25.08.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Aug 2025 06:36:29 +0200

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,6 @@
          qml6-module-qtquick-dialogs,
          qml6-module-qtquick-layouts,
          qml6-module-qtquick-localstorage,
-         qml6-module-qtquick-nativestyle,
          qml6-module-qtquick-particles,
          qml6-module-qtquick-shapes,
          qml6-module-qtquick-templates,
